RagTime5StructManager::ZoneLink Struct Reference

a zone link in RagTime 5/6 structures More...

`#include <RagTime5StructManager.hxx>`

## Public Member Functions

| ZoneLink ()
| constructor
int | getSubZoneId (int i) const
| returns the sub zone id

## Public Attributes

int | m_dataId
| the data id (or 0)
long | m_subZoneId [2]
| the sub id zones
std::vector< long > | m_valuesList
| list of potential values
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, ZoneLink const &link)
| operator<<

## Detailed Description

a zone link in RagTime 5/6 structures

## Constructor & Destructor Documentation

## ZoneLink()

RagTime5StructManager::ZoneLink::ZoneLink | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getSubZoneId()

int RagTime5StructManager::ZoneLink::getSubZoneId | ( | int | i | ) | const

inline

returns the sub zone id

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ZoneLink const & | link )

friend

operator<<

## Member Data Documentation

## m_dataId

int RagTime5StructManager::ZoneLink::m_dataId

the data id (or 0)

Referenced by operator<<, RagTime5DocumentInternal::ClustListParser::parseData(), RagTime5LayoutInternal::ClustListParser::parseData(), RagTime5PipelineInternal::ClustListParser::parseData(), RagTime5Document::readClusterLinkList(), and ZoneLink().

## m_extra

std::string RagTime5StructManager::ZoneLink::m_extra

extra data

Referenced by ZoneLink().

## m_subZoneId

long RagTime5StructManager::ZoneLink::m_subZoneId[2]

the sub id zones

Referenced by getSubZoneId(), operator<<, RagTime5DocumentInternal::ClustListParser::parseData(), RagTime5PipelineInternal::ClustListParser::parseData(), RagTime5Document::readClusterLinkList(), and ZoneLink().

## m_valuesList

std::vector<long> RagTime5StructManager::ZoneLink::m_valuesList

list of potential values

Referenced by operator<<, and ZoneLink().

The documentation for this struct was generated from the following file:

- RagTime5StructManager.hxx